Subject: Re: SCHRANGE

From: [email-masked]
Date: Tue, 31 Aug 1999 20:45:15 GMT

John Stracke wrote:
>This sounds reasonable in itself, but I'm concerned about backwards
>compatibility. 

I agree with John's concern. However, the backwards compatibility is with 
the value type of DTSTART. Currently, it takes a singleton value. From 
Doug's example, I am not certain if his multiple DTSTART values are a 
range (in which case the separator should be a SEMICOLON to delimit the 
lower and upper range) or a list of values (in which case I am at a loss 
as to what the semantics of 10 dates would be).
In any case, we need to adhere to an attempt to support backwards 
compatibility where it is possible. Since there are many ways to achieve 
the desired semantics, then we should look at an alternate (see my other 
note) that can provide both the desired semantics and backwards 
compatibility.
-- Frank